// This file was generated by gir (https://github.com/gtk-rs/gir)
// from gir-files (https://github.com/gtk-rs/gir-files)
// from gst-gir-files (https://gitlab.freedesktop.org/gstreamer/gir-files-rs.git)
// DO NOT EDIT

glib::wrapper! {
    pub struct GLBaseMemoryAllocator(Object<ffi::GstGLBaseMemoryAllocator, ffi::GstGLBaseMemoryAllocatorClass>) @extends gst::Allocator, gst::Object;

    match fn {
        get_type => || ffi::gst_gl_base_memory_allocator_get_type(),
    }
}

impl GLBaseMemoryAllocator {}

unsafe impl Send for GLBaseMemoryAllocator {}
unsafe impl Sync for GLBaseMemoryAllocator {}

pub const NONE_GL_BASE_MEMORY_ALLOCATOR: Option<&GLBaseMemoryAllocator> = None;
